Bug 54272 - Halt as remote user gets Gtk-CRITICAL error, and hangs.
Halt as remote user gets Gtk-CRITICAL error, and hangs.
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: usermode (Show other bugs)
roswell
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-02 15:49 EDT by Nate Golnik
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-05 12:01:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nate Golnik 2001-10-02 15:49:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2smp i686)

Description of problem:
This was initially brought on by issuing the halt command as a user from a
remote machine with ssh.  It turned out that I had an open shell on the
machine so it went down.  After the reboot, it tried it again, making sure
there wasn't an open shell on the machine and got the following ...  
[nate@dolphin-dock nate]$ halt
[nate@dolphin-dock nate]$ halt

Gtk-CRITICAL **: file gtkmain.c: line 582 (gtk_main_quit): assertion
`main_loops != NULL' failed.

And the program is hung.  A ^C will kill it.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.ssh into a remote machine as user
2.type halt
3.repeat until bug opens up.
	

Actual Results:  Gtk-CRITICAL **: file gtkmain.c: line 582 (gtk_main_quit):
assertion `main_loops != NULL' failed.



Expected Results:  nothing happens.

Additional info:
Comment 1 Nalin Dahyabhai 2001-10-05 12:01:35 EDT
Consolehelper is stuck.  Reassigning to usermode.
Comment 2 Nalin Dahyabhai 2001-10-05 16:53:16 EDT
This should be fixed in 1.44.  If the initial attempt to start up the child
fails, then consolehelper would call gtk_main_quit() instead of _exit().  Please
reopen this bug if you find that this does not resolve it.

Note You need to log in before you can comment on or make changes to this bug.